## org.apache.commons.math.exception
Class NumberIsTooSmallException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException
                          org.apache.commons.math.exception.MathIllegalNumberException
                              org.apache.commons.math.exception.NumberIsTooSmallException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  NotPositiveException, NotStrictlyPositiveException

    public class NumberIsTooSmallException

extends MathIllegalNumberException

Exception to be thrown when a number is too small.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `boundIsAllowed` Whether the maximum is included in the allowed range.
`private Number` `min` Higher bound.
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NumberIsTooSmallException(Localizable specific, Number wrong, Number min, boolean boundIsAllowed)` Construct the exception with a specific context.
`NumberIsTooSmallException(Number wrong, Number min, boolean boundIsAllowed)` Construct the exception.

Method Summary
`boolean` `getBoundIsAllowed()`
`Number` `getMin()`

Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### min

    private final Number min

  Higher bound.

### boundIsAllowed

    private final boolean boundIsAllowed

  Whether the maximum is included in the allowed range.

Constructor Detail

### NumberIsTooSmallException

    public NumberIsTooSmallException(Number wrong,
                                     Number min,
                                     boolean boundIsAllowed)

  Construct the exception.

  Parameters:
    `wrong` - Value that is smaller than the minimum.
    `min` - minimum.
    `boundIsAllowed` - Whether `min` is included in the allowed range.

### NumberIsTooSmallException

    public NumberIsTooSmallException(Localizable specific,
                                     Number wrong,
                                     Number min,
                                     boolean boundIsAllowed)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Specific contexte pattern .
    `wrong` - Value that is smaller than the minimum.
    `min` - minimum.
    `boundIsAllowed` - Whether `min` is included in the allowed range.

Method Detail

### getBoundIsAllowed

    public boolean getBoundIsAllowed()

  Returns:
    `true` if the minimum is included in the allowed range.

### getMin

    public Number getMin()

  Returns:
    the minimum.

Copyright (c) 2003-2013 Apache Software Foundation